unix-2.4.2.0: POSIX functionality

System.Posix.Process.Internals

# Documentation

pPrPr_disableITimers :: IO ()Source

c_execvpe :: CString -> Ptr CString -> Ptr CString -> IO CInt Source

decipherWaitStatus :: CInt -> IO ProcessStatus Source

data ProcessStatus Source

Constructors

Exited ExitCode |
Terminated Signal |
Stopped Signal |

Instances

Eq ProcessStatus |
Ord ProcessStatus |
Show ProcessStatus |